(function port() {
  const ola_a_todos = document.getElementById("ola_a_todos_port");
  const os_q_vivem = document.getElementById("os_q_vivem_port");
  const disc = document.getElementById("disc_port");
  const menina_chateada = document.getElementById("menina_chateada_port");
  const menina_feliz = document.getElementById("menina_feliz_port");

  let countRepeatPort = 0;
  function animationPort() {

    TweenLite.delayedCall(0.5, function () {
      const duration = 0.7;
      TweenLite.to(ola_a_todos, duration, { scale: 1, ease: Bounce.easeOut });
      TweenLite.to(ola_a_todos, duration, { opacity: 1, ease: Power2.easeOut });
      TweenLite.to(os_q_vivem, duration, { scale: 1, ease: Bounce.easeOut }).delay(0.7);
      TweenLite.to(os_q_vivem, duration, { opacity: 1, ease: Power2.easeOut }).delay(0.7);
    });
    TweenLite.delayedCall(4, function () {
      const duration = 0.4;
      TweenLite.to(menina_chateada, duration, { opacity: 0, ease: Power0.easeNone });
      TweenLite.to(menina_feliz, duration, { opacity: 1, ease: Power0.easeNone });
      TweenLite.to(ola_a_todos, duration, { left: -160, ease: Power0.easeNone });
      TweenLite.to(os_q_vivem, duration, { left: -160, ease: Power0.easeNone });
      TweenLite.to(disc, duration, { left: 0, ease: Power0.easeNone });
    });
    if (countRepeatPort < 2) {
      TweenLite.delayedCall(8, function () {
        const duration = 0.4;
        TweenLite.to(menina_feliz, duration, { opacity: 0, ease: Power0.easeNone });
        TweenLite.to(menina_chateada, duration, { opacity: 1 });
        TweenLite.to(disc, duration, { left: -160, ease: Power0.easeNone });
      });
    }
    TweenLite.delayedCall(11, function () {
      restartAnimPort();
    });
  }

  TweenLite.delayedCall(0.2, function () {
    animationPort();
  });

  function restartAnimPort() {
    if (countRepeatPort < 2) {
      countRepeatPort++;
      TweenLite.to([ola_a_todos, os_q_vivem], 0, { left: 0 });
      TweenLite.to(ola_a_todos, 0, { scale: 3 });
      TweenLite.to(ola_a_todos, 0, { opacity: 0 });
      TweenLite.to(os_q_vivem, 0, { scale: 0 });
      TweenLite.to(menina_feliz, 0, { opacity: 0 });
      TweenLite.to(disc, 0, { left: 160, onComplete: animationPort });
    }
  }
})()